<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package tripify
 * 
 * @since 1.0.0
 *
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
//if //( post_password_required() ) {
	//return;
//}
?>

<div id="comments" class="comments-area">

	<?php
	// You can start editing here -- including this comment!
	if ( have_comments() ) :
		?>
		<?php the_comments_navigation(); ?>

		<ul class="comment-box">
			<?php 
				wp_list_comments( 
					array(
						'style'      => 'ul',
						'short_ping' => true,
						'callback'    => 'tripify_comment_list',
					)
				);  
			?>
		</ul> 


		<?php
		the_comments_navigation();

		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() ) :
			?>
			<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'tripify' ); ?></p>
			<?php
		endif;

	endif; // Check for have_comments().
	?>
    <!-- Comment-box -->
	<div class="comment-area">
		<?php 
			$args = array(
				'id_form'              => 'commentform',
				'id_submit'            => 'submit',
				'title_reply'          => esc_html__( 'Drop Your Comment', 'tripify' ),
				'title_reply_to'       => esc_html__( 'Leave A Reply To ', 'tripify' ) . '%s',
				'cancel_reply_link'    => esc_html__( 'Cancel Reply', 'tripify' ),
				'label_submit'         => esc_html__( 'Submit', 'tripify' ),
				'title_reply_before'   => '<h2>',
				'title_reply_after'    => '</h2>',
				'comment_notes_before' => '',
				'fields'               => apply_filters( 'comment_form_default_fields', 
					array(
						'author' =>
						'<div class="row"><div class="col-lg-6 col-md-12 form-group"><div class="input-group">'.
						'<input id="author" class="form-control" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) .
						'" size="30" placeholder="'.esc_attr__( 'Name', 'tripify' ).'"/><span class="form-icon fas fa-pencil-alt"></span></div></div>',

						'email' =>
						'<div class="col-lg-6 col-md-12 form-group"><div class="input-group">'.
						'<input id="email" class="form-control" name="email" type="email" value="' . esc_attr( $commenter['comment_author_email'] ) .
						'" size="30" placeholder="'.esc_attr__( 'Email', 'tripify' ).'"/><span class="form-icon fas fa-envelope"></span></div></div></div>',
					)
				),
				'comment_field' =>  '
				<div class="col-lg-12 col-md-12 form-group"><div class="input-group mb-2 mb-sm-0"><textarea id="comment" class="form-control" name="comment" cols="45" rows="5" placeholder="'.esc_attr__( 'Your Comment', 'tripify' ).'" aria-required="true">' .
				'</textarea></div></div>',
				'submit_button' => '<div class="col-lg-12 about-text text-right"><input type="submit" class="btn main-btn comment-form-button" id="submit" value="Send"></div>',
			); 
			comment_form( $args ); 
		?>
	</div>

</div><!-- #comments -->
