<?php
/**
   * Custom Comment List
   *
   * @package tripify
   * 
   * @since 1.0.0
   *
**/ 
function tripify_comment_list( $comment, $args, $depth ) {

    if ( 'div' === $args['style'] ) {
        $tag       = 'div';
        $add_below = 'comment';
    } else {
        $tag       = 'li';
        $add_below = 'div-comment';
    } 
    ?>
    <<?php echo ''.esc_attr($tag); ?> class="clearfix" id="comment-<?php comment_ID(); ?>">
    <?php $avatar_url = get_avatar_url( $comment, $args['avatar_size'] ); 
    if($avatar_url ):?>
        <div class="left-comment-box">
            <?php if ($args['avatar_size'] != 0) echo wp_kses_post(get_avatar($comment, $args['avatar_size'])); ?>
        </div>
    <?php endif;?>
    <div class="comment">
		<div class="right-comment-content <?php if(!$avatar_url ): echo "noprofile"; endif;?>"> 

			<h3> <?php comment_author(); ?> </h3> 
			
			<?php comment_reply_link(array_merge($args, array('reply_text' => __('<i class="fas fa-reply"></i> Reply', 'tripify'),'add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth']))); ?>

            <span><?php esc_html(comment_date()); ?></span>
			
			<?php if ( $comment->comment_approved == '0' ) : ?>

				<p class="comment-awaiting-moderation"><?php esc_html_e( 'Your comment is awaiting moderation.', 'tripify' ); ?></p>
			
			<?php endif; ?> 
			<p> <?php comment_text(); ?> </p>
		</div>
    </div>
    
<?php 
}  

